/*
 * Copyright (c) 2017, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

import Foundation
import UIKit

let BOX_CLIENT_ID = ""
let BOX_CLIENT_SECRET = ""
let GOOGLE_CLIENT_ID = ""

let ShadowColor: CGFloat = 155.0/255.0

let FIRMWARE_EXTENDED_META_LEN: UInt32 = 20
let FIRMWARE_EXTENDED_META_HEADER_LEN: UInt32 = 12
let FIRMWARE_TYPE_SAP: UInt32 = 0x01
let FIRMWARE_TYPE_SNP: UInt32 = 0x03
let FIRMWARE_STATUS_EXT: UInt32 = 0x02
let FIRMWARE_EXTENDED_FEATURE_SEGMENT: UInt32 = 1
let FIRMWARE_SEGMENT_LIST_OFFSET: UInt32 = 16

let FIRMWARE_OAD_MAX_PAYLOAD_SIZE: Int = 126
let FIRMWARE_OAD_MAX_PACKET_SIZE: Int = 130
let FIRMWARE_OAD_BLK_SIZE_CMD: UInt8 = 0x13

let HEX_DATA_CODE: UInt8 = 0x00
let HEX_EOF_CODE: UInt8 = 0x01
let HEX_EXT_LINN_ADDR_CODE: UInt8 = 0x04
let HEX_START_LINM_ADDR_CODE: UInt8 = 0x05

let SENSOR_GRAPH_SAMPLES = 50

let wifiDevices =
[
        SimpleLinkDevice(deviceType: SimpleLinkDeviceType.msp432cc312x,
                         marketingString: "The SimpleLink C3x20 series of WiFi devices provide unparalleled WiFi connectivity with a full set of functionality. Both the one chip CC3220 solution and the two chip MSP432 + CC3120 solution provide a full barrage of capabilities for any WiFi application's needs. ",
                         enabled: false, imageIdentifier: "simplelinkwifi",
                         productURL: "http://www.ti.com/tool/simplelink-wifi-cc3120-sdk-plugin",
                         supportURL: "https://e2e.ti.com/support/wireless_connectivity/simplelink_wifi_cc31xx_cc32xx/f/968",
                         userGuideURL: "http://www.ti.com/tool/simplelink-msp432-sdk"),
]

let bleDevices =
[
        SimpleLinkDevice(deviceType: SimpleLinkDeviceType.msp432cc26xx,
                         marketingString: "The SimpleLink™ SDK Bluetooth Plugin is a companion software package that enables the use of a Bluetooth radio on any standard SimpleLink MSP432™ microcontroller (MCU). This software package supports CC2650MODA and CC2640 Bluetooth low energy Network Processors.",
                         enabled: true, imageIdentifier: "msp432cc2650",
                         productURL: "http://www.ti.com/tool/simplelink-sdk-bluetooth-plugin",
                         supportURL: "https://e2e.ti.com/support/wireless_connectivity/bluetooth_low_energy/f/538",
                         userGuideURL: "http://dev.ti.com/tirex/content/simplelink_msp432_sdk_bluetooth_plugin_1_10_00_42/docs/users_guide_simplelink_msp432_sdk_plugin.html")
]

let SIMPLELINK_SDK_EXPLORER_KEY = "curSDK"
