/*
 * Copyright (c) 2017, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
import Foundation

enum FirmwareFormat
{
    case FIRMWARE_FORMAT_TITXT
    case FIRMWARE_FORMAT_HEX
}

enum FirmwareTarget: Int
{
    case FIRMWARE_CC2650SNP = 0x03
    case FIRMWARE_MSP432SAP = 0x01
}

enum DownloadSource: Int, CustomStringConvertible
{
    case FIRMWARE_GOOGLEDRIVE = 0
    case FIRMWARE_SRC_PRECOMPILED = 1
    case FIRMWARE_SRC_HTTPDOWNLOAD = 2
    case FIRMARE_BOXDRIVE = 3
    
    static var count: Int { return DownloadSource.FIRMARE_BOXDRIVE.hashValue + 1}
    
    var description: String
    {
        switch self
        {
            case .FIRMWARE_GOOGLEDRIVE: return "Google Drive"
            case .FIRMWARE_SRC_PRECOMPILED   : return "Precompiled Code Example"
            case .FIRMWARE_SRC_HTTPDOWNLOAD : return "HTTP Download"
            case .FIRMARE_BOXDRIVE : return "Box Drive"
        }
    }
}
